> For the complete documentation index, see [llms.txt](https://docs.cspr.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cspr.cloud/rest-api/account-info.md).

# Account Info

The `AccountInfo` entity provides off-chain account information provided by the account owner with [Casper Account Info Standard](https://github.com/make-software/casper-account-info-standard) contract. Additional account info is often provided by validators or contract owners to prove their identity.

## Properties

The `AccountInfo` entity has the following properties:

| Property                  | Type         | Description                                                                                                                                                |
| ------------------------- | ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `account_hash`            | `string(64)` | Account hash represented as a hexadecimal string                                                                                                           |
| `url`                     | `string`     | The top level domain URL that holds the account information                                                                                                |
| `is_active`               | `boolean`    | Indicate whether account information is active or was deactivated by the owner                                                                             |
| `info`                    | `JSON`       | JSON representation of the account info data                                                                                                               |
| `deploy_hash`             | `string(64)` | Hash of the [Casper Account Info Contract](https://github.com/make-software/casper-account-info-contract#) call deploy represented as a hexadecimal string |
| `verified_account_hashes` | `[]string`   | List of verified account hashes that share the same account info                                                                                           |
| `created`                 | `datetime`   | Account info creation timestamp                                                                                                                            |
| `updated`                 | `datetime`   | Account info last update timestamp                                                                                                                         |

**Example**

```json
{
  "account_hash": "fa12d2dd5547714f8c2754d418aa8c9d59dc88780350cb4254d622e2d4ef7e69",
  "url": "http://makestake.io",
  "is_active": true,
  "info": {
    "nodes": [
      {
        "location": {
          "name": "Ashburn, VA",
          "country": "US",
          "latitude": 39.04372,
          "longitude": -77.48749
        },
        "public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca",
        "description": "MAKE's first Casper Testnet validator",
        "functionality": [
          "validator"
        ]
      },
      {
        "location": {
          "name": "Ashburn, VA",
          "country": "US",
          "latitude": 39.04372,
          "longitude": -77.48749
        },
        "public_key": "017d96b9a63abcb61c870a4f55187a0a7ac24096bdb5fc585c12a686a4d892009e",
        "description": "MAKE's second Casper Testnet validator",
        "functionality": [
          "validator"
        ]
      }
    ],
    "owner": {
      "name": "MAKE",
      "type": [
        "validator",
        "corporation"
      ],
      "email": "hello@makestake.io",
      "social": {
        "github": "make-software",
        "medium": "",
        "reddit": "",
        "wechat": "",
        "keybase": "",
        "twitter": "@WeAreTeamMAKE",
        "youtube": "",
        "facebook": "",
        "telegram": ""
      },
      "website": "https://makestake.io",
      "branding": {
        "logo": {
          "svg": "https://make.services/logo.svg",
          "png_256": "https://make.services/logo256.png",
          "png_1024": "https://make.services/logo1024.png"
        }
      },
      "identity": {
        "other": null,
        "ownership_disclosure_url": "https://makestake.io/ownership-disclosure",
        "casper_association_kyc_url": "",
        "casper_association_kyc_onchain": ""
      },
      "location": {
        "name": "Cheyenne, WY",
        "country": "US",
        "latitude": 41.14,
        "longitude": -104.820274
      },
      "resources": {
        "other": [],
        "privacy_policy_url": "https://makestake.io/privacy",
        "code_of_conduct_url": "",
        "terms_of_service_url": "https://makestake.io/tos"
      },
      "description": "MAKE is the leading technology provider for the Casper Network and creator of the CSPR Product Suite",
      "affiliated_accounts": [
        {
          "public_key": "017d96b9a63abcb61c870a4f55187a0a7ac24096bdb5fc585c12a686a4d892009e"
        },
        {
          "public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca"
        },
        {
          "public_key": "0202859e04bab609744b291b54ef97b55cb3120c940cd620977f8d2687ca5bd0168c"
        },
        {
          "public_key": "01fc3b35c25fdce6fc6127fc5da32a828d51eaacab816e80611f23f4cf063bc319"
        }
      ]
    }
  },
  "deploy_hash": "5a9b3853d596243fd1b8f0a107ec7c7042ab226e628c7e742c455deab15e9719",
  "verified_account_hashes": [
    "21EAEA584903E79365BCB1F7607179CC118807033C8919CFF7489A91C3A822D1",
    "D3CCFD0DAF03E656CB4E86158E5F54BE686D9FAA91CAE3ED9310E167E65592E5",
    "FA12D2DD5547714F8C2754D418AA8C9D59DC88780350CB4254D622E2D4EF7E69"
  ],
  "created": "2021-09-17T20:24:35Z",
  "updated": "2023-09-12T00:00:01Z"
}
```

## Optional properties

None

## Relations

The `AccountInfo` entity has the following relations with other entities:

| Entity                                                              | Mapping property | Description                                                                                                           |
| ------------------------------------------------------------------- | ---------------- | --------------------------------------------------------------------------------------------------------------------- |
| [`Deploy`](/rest-api/deploy.md)                                     | `deploy_hash`    | Contracts are deployed to the network with a deploy call                                                              |
| [`Account`](/rest-api/account.md)                                   | `account_hash`   | Account info provides information about an account                                                                    |
| [`Bidder`](/rest-api/bidder.md)                                     | `account_hash`   | Bidder accounts may have account info provided                                                                        |
| [`Block`](/rest-api/block.md)                                       | `account_hash`   | Block proposer accounts may have account info provided                                                                |
| [`Contract package`](/rest-api/contract-package.md)                 | `account_hash`   | Contract package owners may have account info provided                                                                |
| [`CSPR.name resolution`](http://CSPR.name)                          | `account_hash`   | CSPR.name resolution target accounts may have account info provided                                                   |
| [`Delegation`](/rest-api/delegation.md)                             | `account_hash`   | Both delegators and validators may have account info provided                                                         |
| [`Delegator reward`](/rest-api/delegator-reward.md)                 | `account_hash`   | Both delegators and validators may have account info provided                                                         |
| [`Fungible token action`](/rest-api/fungible-token-action.md)       | `account_hash`   | Fungible token action sender and recipient accounts, as well as deploy caller accounts may have account info provided |
| [`Fungible token ownership`](/rest-api/fungible-token-ownership.md) | `account_hash`   | Fungible token owner accounts may have account info provided                                                          |
| [`Fungible token ownership`](/rest-api/fungible-token-ownership.md) | `account_hash`   | Fungible token owner accounts may have account info provided                                                          |
| [`NFT action`](/rest-api/non-fungible-token-action.md)              | `account_hash`   | NFT action sender and recipient accounts, as well as deploy caller accounts may have account info provided            |
| [`NFT ownership`](/rest-api/non-fungible-token-ownership.md)        | `account_hash`   | NFT owner accounts may have account info provided                                                                     |
| [`Transfer`](/rest-api/transfer.md)                                 | `account_hash`   | Transfer sender and recipient accounts, as well as deploy caller accounts may have account info provided              |
| [`Validator`](/rest-api/validator.md)                               | `account_hash`   | Validator accounts may have account info provided                                                                     |

## Endpoints

The `AccountInfo` entity has the following endpoints:

* [Get account info](/rest-api/account-info/get-account-info.md)
* [Get account infos](/rest-api/account-info/get-account-infos.md)

## Relation endpoints

None


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cspr.cloud/rest-api/account-info.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
